
// vis settings
VIS.Settings = {
};

/*------------------------------------
	Init
------------------------------------*/
function VIS:Init( )

end

/*------------------------------------
	NearestPowerOfTwo	
------------------------------------*/
function VIS:NearestPowerOfTwo( val )

	local out = 1;
	while( out < val ) do
	
		out = out * 2;
	
	end
	return out;

end

/*------------------------------------
	Render
------------------------------------*/
function VIS:Render( panel, position, duration, mediaplayer )

	// only render if we're video
	if( mediaplayer:IsVideo() ) then
	
		// get the render size
		local width, height, texwidth, texheight = mediaplayer:GetVideoSize();
		
		// draw
		local drawwidth = ( texwidth / width ) * panel:GetWide();
		local drawheight = ( texheight / height ) * panel:GetTall();
	
		// render to the nearest power of 2
		mediaplayer:RenderVideo( 0, 0, drawwidth, drawheight );
	
	end

end

/*------------------------------------
	Think
------------------------------------*/
function VIS:Think( sample, position, duration )

end

// register
MuseX.DefineVisualization( "MX Video", VIS );
