
// panel object
local PANEL = {};


/*------------------------------------
	initialize the volume bar
------------------------------------*/
function PANEL:Init( )

	// lock vertical movement in center
	self:SetLockY( 0.5 );
	
	// trap cursor
	self:SetTrapInside( true );
	
	// set the default image
	self:SetImage( "vgui/slider" );
	
	// hook so skin can change
	MuseX.SkinHook( "SliderKnob", self, "SetImage" );
	
	// custom paint hook
	Derma_Hook( self, "Paint", "Paint", "MXSlider" );

end

// define
derma.DefineControl( "MXVolumeBar", "", PANEL, "DSlider" );
